Bug 1121678 - port anaconda tests from master to rhel7
Summary: port anaconda tests from master to rhel7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Chris Lumens
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks: 1165727
TreeView+ depends on / blocked
 
Reported: 2014-07-21 14:51 UTC by Chris Lumens
Modified: 2015-03-05 14:02 UTC (History)
2 users (show)

Fixed In Version: anaconda-19.31.83-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1165727 (view as bug list)
Environment:
Last Closed: 2015-03-05 14:02:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0312 normal SHIPPED_LIVE anaconda bug fix and enhancement update 2015-03-05 17:35:22 UTC

Description Chris Lumens 2014-07-21 14:51:32 UTC
Our test suite in master is now far more useful than what's in rhel7-branch.  Even though master has moved on quite a bit, RHEL7 is still new and it will only get more difficult to port these patches over later.  We should get them on rhel7-branch now so we can use them to prevent bugs.

This will require a lot of up-front work and scary looking patches to make pylint happy, but afterwards we can just make minor tweaks as necessary.

Comment 2 Alexander Todorov 2014-11-19 14:26:29 UTC
Tests are available and able to run (need to install a few extra packages though). Moving to VERIFIED.

Comment 4 errata-xmlrpc 2015-03-05 14:02:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0312.html


Note You need to log in before you can comment on or make changes to this bug.